> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.tester.army/llms.txt.
> For full documentation content, see https://docs.tester.army/llms-full.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.tester.army/_mcp/server.

# Create a project credential

POST https://tester.army/v1/projects/{projectId}/credentials
Content-Type: application/json

Create a login or inbox credential for a project. Passwords are not returned.

Reference: https://docs.tester.army/api-reference/tester-army-api/projects/create-a-project-credential

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: testerarmy
  version: 1.0.0
paths:
  /v1/projects/{projectId}/credentials:
    post:
      operationId: create-a-project-credential
      summary: Create a project credential
      description: >-
        Create a login or inbox credential for a project. Passwords are not
        returned.
      tags:
        - subpackage_projects
      parameters:
        - name: projectId
          in: path
          description: Project ID or shortId
          required: true
          schema:
            type: string
        - name: Authorization
          in: header
          description: API key authentication using Bearer token format
          required: true
          schema:
            type: string
      responses:
        '201':
          description: Credential created
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Projects_createAProjectCredential_Response_201
        '400':
          description: Bad Request - Invalid input parameters
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/CreateAProjectCredentialRequestBadRequestError
        '401':
          description: Unauthorized - Invalid or missing API key
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/CreateAProjectCredentialRequestUnauthorizedError
        '429':
          description: Too Many Requests - Usage limit exceeded
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/CreateAProjectCredentialRequestTooManyRequestsError
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/CreateAProjectCredentialRequestInternalServerError
        '504':
          description: Gateway Timeout - Test execution exceeded time limit
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/CreateAProjectCredentialRequestGatewayTimeoutError
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/Projects_createAProjectCredential_Request'
servers:
  - url: https://tester.army
components:
  schemas:
    V1ProjectsProjectIdCredentialsPostRequestBodyContentApplicationJsonSchemaOneOf0Kind:
      type: string
      enum:
        - login
      title: >-
        V1ProjectsProjectIdCredentialsPostRequestBodyContentApplicationJsonSchemaOneOf0Kind
    V1ProjectsProjectIdCredentialsPostRequestBodyContentApplicationJsonSchemaOneOf0AuthMethod:
      type: string
      enum:
        - password
        - google
        - github
      title: >-
        V1ProjectsProjectIdCredentialsPostRequestBodyContentApplicationJsonSchemaOneOf0AuthMethod
    ProjectsCreateAProjectCredentialRequest0:
      type: object
      properties:
        kind:
          $ref: >-
            #/components/schemas/V1ProjectsProjectIdCredentialsPostRequestBodyContentApplicationJsonSchemaOneOf0Kind
        authMethod:
          $ref: >-
            #/components/schemas/V1ProjectsProjectIdCredentialsPostRequestBodyContentApplicationJsonSchemaOneOf0AuthMethod
        label:
          type: string
        username:
          type: string
        password:
          type: string
      required:
        - kind
        - label
        - username
        - password
      title: ProjectsCreateAProjectCredentialRequest0
    V1ProjectsProjectIdCredentialsPostRequestBodyContentApplicationJsonSchemaOneOf1Kind:
      type: string
      enum:
        - login
      title: >-
        V1ProjectsProjectIdCredentialsPostRequestBodyContentApplicationJsonSchemaOneOf1Kind
    V1ProjectsProjectIdCredentialsPostRequestBodyContentApplicationJsonSchemaOneOf1AuthMethod:
      type: string
      enum:
        - custom
      title: >-
        V1ProjectsProjectIdCredentialsPostRequestBodyContentApplicationJsonSchemaOneOf1AuthMethod
    ProjectsCreateAProjectCredentialRequest1:
      type: object
      properties:
        kind:
          $ref: >-
            #/components/schemas/V1ProjectsProjectIdCredentialsPostRequestBodyContentApplicationJsonSchemaOneOf1Kind
        authMethod:
          $ref: >-
            #/components/schemas/V1ProjectsProjectIdCredentialsPostRequestBodyContentApplicationJsonSchemaOneOf1AuthMethod
        label:
          type: string
        authInstructions:
          type: string
      required:
        - kind
        - authMethod
        - label
        - authInstructions
      title: ProjectsCreateAProjectCredentialRequest1
    V1ProjectsProjectIdCredentialsPostRequestBodyContentApplicationJsonSchemaOneOf2Kind:
      type: string
      enum:
        - inbox
      title: >-
        V1ProjectsProjectIdCredentialsPostRequestBodyContentApplicationJsonSchemaOneOf2Kind
    ProjectsCreateAProjectCredentialRequest2:
      type: object
      properties:
        kind:
          $ref: >-
            #/components/schemas/V1ProjectsProjectIdCredentialsPostRequestBodyContentApplicationJsonSchemaOneOf2Kind
        label:
          type: string
      required:
        - kind
        - label
      title: ProjectsCreateAProjectCredentialRequest2
    Projects_createAProjectCredential_Request:
      oneOf:
        - $ref: '#/components/schemas/ProjectsCreateAProjectCredentialRequest0'
        - $ref: '#/components/schemas/ProjectsCreateAProjectCredentialRequest1'
        - $ref: '#/components/schemas/ProjectsCreateAProjectCredentialRequest2'
      title: Projects_createAProjectCredential_Request
    CredentialSummaryKind:
      type: string
      enum:
        - login
        - inbox
      title: CredentialSummaryKind
    CredentialSummaryAuthMethod:
      type: string
      enum:
        - password
        - google
        - github
        - custom
      title: CredentialSummaryAuthMethod
    CredentialSummary:
      type: object
      properties:
        id:
          type: string
          format: uuid
        kind:
          $ref: '#/components/schemas/CredentialSummaryKind'
        authMethod:
          $ref: '#/components/schemas/CredentialSummaryAuthMethod'
        label:
          type: string
        username:
          type: string
        hasAuthInstructions:
          type: boolean
        createdAt:
          type: string
          format: date-time
      required:
        - id
        - kind
        - authMethod
        - label
        - username
        - hasAuthInstructions
        - createdAt
      title: CredentialSummary
    Projects_createAProjectCredential_Response_201:
      type: object
      properties:
        credential:
          $ref: '#/components/schemas/CredentialSummary'
      required:
        - credential
      title: Projects_createAProjectCredential_Response_201
    CreateAProjectCredentialRequestBadRequestError:
      type: object
      properties:
        error:
          type: string
          description: Error code or type
        message:
          type: string
          description: Human-readable error message
      required:
        - error
        - message
      title: CreateAProjectCredentialRequestBadRequestError
    CreateAProjectCredentialRequestUnauthorizedError:
      type: object
      properties:
        error:
          type: string
          description: Error code or type
        message:
          type: string
          description: Human-readable error message
      required:
        - error
        - message
      title: CreateAProjectCredentialRequestUnauthorizedError
    CreateAProjectCredentialRequestTooManyRequestsError:
      type: object
      properties:
        error:
          type: string
          description: Error code or type
        message:
          type: string
          description: Human-readable error message
      required:
        - error
        - message
      title: CreateAProjectCredentialRequestTooManyRequestsError
    CreateAProjectCredentialRequestInternalServerError:
      type: object
      properties:
        error:
          type: string
          description: Error code or type
        message:
          type: string
          description: Human-readable error message
      required:
        - error
        - message
      title: CreateAProjectCredentialRequestInternalServerError
    CreateAProjectCredentialRequestGatewayTimeoutError:
      type: object
      properties:
        error:
          type: string
          description: Error code or type
        message:
          type: string
          description: Human-readable error message
      required:
        - error
        - message
      title: CreateAProjectCredentialRequestGatewayTimeoutError
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: API key authentication using Bearer token format

```

## SDK Code Examples

```python
import requests

url = "https://tester.army/v1/projects/projectId/credentials"

payload = {
    "kind": "login",
    "label": "string",
    "username": "string",
    "password": "string"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://tester.army/v1/projects/projectId/credentials';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"kind":"login","label":"string","username":"string","password":"string"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://tester.army/v1/projects/projectId/credentials"

	payload := strings.NewReader("{\n  \"kind\": \"login\",\n  \"label\": \"string\",\n  \"username\": \"string\",\n  \"password\": \"string\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://tester.army/v1/projects/projectId/credentials")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"kind\": \"login\",\n  \"label\": \"string\",\n  \"username\": \"string\",\n  \"password\": \"string\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://tester.army/v1/projects/projectId/credentials")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"kind\": \"login\",\n  \"label\": \"string\",\n  \"username\": \"string\",\n  \"password\": \"string\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://tester.army/v1/projects/projectId/credentials', [
  'body' => '{
  "kind": "login",
  "label": "string",
  "username": "string",
  "password": "string"
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://tester.army/v1/projects/projectId/credentials");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"kind\": \"login\",\n  \"label\": \"string\",\n  \"username\": \"string\",\n  \"password\": \"string\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "kind": "login",
  "label": "string",
  "username": "string",
  "password": "string"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://tester.army/v1/projects/projectId/credentials")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```